import {createWebHistory,createRouter} from "vue-router";
import IndexDefault from "@/components/IndexDefault";
import GetToken_1 from "@/components/GetToken_1";
import Login_1 from "@/components/Login_1";
import Edit_1 from "@/components/Edit_1";
import Ref_1 from "@/components/Ref_1";
import ListPerson_881_1 from "@/components/person_881_1/ListPerson";
import EditPerson_881_1 from "@/components/person_881_1/EditPerson";
import AddPerson_881_1 from "@/components/person_881_1/EditPerson";
import DeletePerson_881_1 from "@/components/person_881_1/DeletePerson";
import Hypertension_1 from "@/components/Hypertension_1";

const history=createWebHistory();
const router=createRouter(
    {
        history,
        routes:[
            {
                path:"/",
                component:IndexDefault
            },
            {
                component:GetToken_1,
                path:"/GetToken_1"
            },
            {
                component:Login_1,
                path:"/Login_1"
            },
            {
                component:Edit_1,
                path:"/Edit_1"
            },
            {
                component:Ref_1,
                path:"/Ref_1"
            },
            {
                component:Hypertension_1,
                path:"/Hypertension_1"
            },
            {
                path:"/person_881_1/ListPerson",
                component:ListPerson_881_1
            },
            {
                path:"/person_881_1/EditPerson",
                component:EditPerson_881_1
            },
            {
                path:"/person_881_1/AddPerson",
                component:AddPerson_881_1
            },
            {
                path:"/person_881_1/DeletePerson",
                component:DeletePerson_881_1
            }
        ]
    }
)
export default router