const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true
})
module.exports={
  devServer:{
    port: process.env.VUE_APP_PORT,
    allowedHosts:"all",
    proxy: {
      '/examServer': {
        target: process.env.SERVER_URL,
        secure: false,
        changeOrigin: true,
        pathRewrite: {
          '^/examServer': ''
        }
      },
      '/springbootServer': {
        target: `http://localhost:${process.env.SPRINGBOOT_PORT}`,
        secure: false,
        changeOrigin: true,
        pathRewrite: {
          '^/springbootServer': ''
        }
      },
    }

  }
}

